package com.ss.android.ugc.aweme.ecommerce.pdp.repository.dto;

import X.C5935CIh;
import X.C5936CIi;
import X.M12;
import android.os.Parcel;
import android.os.Parcelable;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import com.ss.android.ugc.aweme.ecommerce.coupon.repository.dto.Voucher;
import java.util.List;
import java.util.Objects;

public final class PromotionDiscount implements Parcelable {
    public static final Parcelable.Creator<PromotionDiscount> CREATOR = new C5935CIh();
    public static final C5936CIi LJFF = new C5936CIi((byte) 0);
    @c(LIZ = "title")
    public final String LIZ;
    @c(LIZ = "schema")
    public final String LIZIZ;
    @c(LIZ = "discount_price")
    public final String LIZJ;
    @c(LIZ = "discounts")
    public List<Voucher> LIZLLL;
    @c(LIZ = "scene")
    public final Integer LJ;

    static {
        Covode.recordClassIndex(71518);
    }

    private Object[] LIZ() {
        return new Object[]{this.LIZ, this.LIZIZ, this.LIZJ, this.LIZLLL, this.LJ};
    }

    public final int describeContents() {
        return 0;
    }

    public final boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof PromotionDiscount)) {
            return false;
        }
        return M12.LIZ(((PromotionDiscount) obj).LIZ(), LIZ());
    }

    public final int hashCode() {
        return Objects.hash(LIZ());
    }

    public final String toString() {
        return M12.LIZ("PromotionDiscount:%s,%s,%s,%s,%s", LIZ());
    }

    public final void writeToParcel(Parcel parcel, int i) {
        M12.LIZ(parcel);
        parcel.writeString(this.LIZ);
        parcel.writeString(this.LIZIZ);
        parcel.writeString(this.LIZJ);
        List<Voucher> list = this.LIZLLL;
        if (list != null) {
            parcel.writeInt(1);
            parcel.writeInt(list.size());
            for (Voucher writeToParcel : list) {
                writeToParcel.writeToParcel(parcel, 0);
            }
        } else {
            parcel.writeInt(0);
        }
        Integer num = this.LJ;
        if (num != null) {
            parcel.writeInt(1);
            parcel.writeInt(num.intValue());
            return;
        }
        parcel.writeInt(0);
    }

    public PromotionDiscount(String str, String str2, String str3, List<Voucher> list, Integer num) {
        this.LIZ = str;
        this.LIZIZ = str2;
        this.LIZJ = str3;
        this.LIZLLL = list;
        this.LJ = num;
    }
}
